package com.example.hobbid.databasedemo;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.EditText;
import android.widget.TextView;

import java.util.ArrayList;

public class InfoActivity extends AppCompatActivity {

    private DatabaseManager m_db;   //Manager class for the database
    String passedLocation = "default";
    String passedName = "default";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_info);

        m_db = new DatabaseManager(this, null, null, 1);

        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            passedLocation = extras.getString("locationData");
            passedName = extras.getString("nameData");
        }

        listRestaurantInfo();
    }

    public void listRestaurantInfo() {

        String s = "How do you pay : " + m_db.genInfo(passedLocation,passedName).get("HOW_DO_YOU_PAY") + "\n";
        s += "Are the Staff freindly: " + m_db.genInfo(passedLocation,passedName).get("ARE_THE_STAFF_FREINDLY");

        ((TextView) findViewById(R.id.textView)).setText(s);

    }
}
